Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000116 [cparser] compiler driver major have not tried 2013-08-19 22:37 2016-01-03 03:28
Reporter luzero View Status public  
Assigned To Matze
Priority normal Resolution fixed  
Status closed   Product Version
Summary 0000116: cparser doesn't return 1 on failure
Description This breaks horribly configure checks.

/usr/src/cparser/build/debug/cparser -m32 -std=c99 -E -o /tmp/foo.o /tmp/foo.c
gcc: error: /tmp/foo.c: No such file or directory
gcc: warning: ā€˜-x cā€™ after last input file has no effect
gcc: fatal error: no input files
compilation terminated.
# echo $?
0
Additional Information cparser: 9a62edb
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000171)
Matze (administrator)
2013-08-22 08:18

testsuite tests for this have been added in firm-testsuite 212e0517eb8bc2d09b5cd4ea410f3b45d48bf3ad
a fix is in cparser e9d3b81527d36000826c518536a62f8366f2cb19

- Issue History
Date Modified Username Field Change
2013-08-19 22:37 luzero New Issue
2013-08-22 08:18 Matze Note Added: 0000171
2013-08-22 08:18 Matze Assigned To => Matze
2013-08-22 08:18 Matze Status new => resolved
2013-08-22 08:18 Matze Resolution open => fixed
2013-08-22 08:18 Matze Category preprocessor => compiler driver
2016-01-03 03:28 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker